Get Required Application Documents
curl --request GET \
--url https://api.lendflow.com/api/applications/{application_id}/required_documents \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"offer_stips_only": true
}
'import requests
url = "https://api.lendflow.com/api/applications/{application_id}/required_documents"
payload = { "offer_stips_only": True }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({offer_stips_only: true})
};
fetch('https://api.lendflow.com/api/applications/{application_id}/required_documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": null,
"name": null,
"description": null,
"file_type": null,
"weight": null,
"checkout_step_ids": null,
"is_optional": null,
"required_count": null,
"uploaded_count": null
},
{
"id": null,
"name": null,
"description": null,
"file_type": null,
"weight": null,
"checkout_step_ids": null,
"is_optional": null,
"required_count": null,
"uploaded_count": null
}
]
}Documents
Get Required Application Documents
Returns the documents an application is required to provide and whether each one has been completed. Results can be limited to offer stipulations only.
GET
/
api
/
applications
/
{application_id}
/
required_documents
Get Required Application Documents
Authorizations
You can register for a new Lendflow API key on our client portal in less than 60 seconds. The Bearer Token needs to be included in all API requests made to the API Service in the following form:
Authorization: Bearer [YOUR_TOKEN]
You must replace [YOUR_TOKEN] with your personal API key.
Path Parameters
The ID of the application.
Body
application/json
Limit to documents required by offers, excluding application stips.
Example:
true
Response
200 - application/json
Show child attributes
Show child attributes
Example:
[
{
"id": null,
"name": null,
"description": null,
"file_type": null,
"weight": null,
"checkout_step_ids": null,
"is_optional": null,
"required_count": null,
"uploaded_count": null
},
{
"id": null,
"name": null,
"description": null,
"file_type": null,
"weight": null,
"checkout_step_ids": null,
"is_optional": null,
"required_count": null,
"uploaded_count": null
}
]
Was this page helpful?